std::atomic_ref::fetch_xor(3)

NAME
std::atomic_ref::fetch_xor - std::atomic_ref::fetch_xor

Synopsis
   T fetch_xor( T arg, (since C++20)
   std::memory_order order = (member only of atomic_ref<Integral>
   std::memory_order_seq_cst ) const noexcept; template specialization)
   Atomically replaces the current value of the referenced object with the result of
   bitwise XOR of the value and arg. This operation is a read-modify-write operation.
   Memory is affected according to the value of order.

Parameters
   arg - the other argument of bitwise XOR
   order - memory order constraints to enforce

Return value
   The value of the referenced object, immediately preceding the effects of this
   function.